Loading...
Searching...
No Matches
piola< T >

## Detailed Description

template<class T>
struct rheolef::piola< T >

Definition at line 67 of file piola.h.

## Public Types

typedef tensor_basic< T >::size_type | size_type
typedef space_constant::coordinate_type | coordinate_type

## Public Member Functions

| piola ()
void | clear ()

## Public Attributes

size_type | d
size_type | map_d
coordinate_type | sys_coord
bool | ignore_sys_coord
point_basic< T > | F
tensor_basic< T > | DF
tensor_basic< T > | invDF
tensor_basic< T > | P
T | detDF
bool | has_nt_basis
point_basic< T > | normal

## Member Typedef Documentation

## size_type

template<class T >

typedef tensor_basic<T>::size_type size_type

Definition at line 69 of file piola.h.

## coordinate_type

template<class T >

typedef space_constant::coordinate_type coordinate_type

Definition at line 70 of file piola.h.

## Constructor & Destructor Documentation

## piola()

template<class T >

piola | ( |  | ) |

Definition at line 87 of file piola.h.

## Member Function Documentation

## clear()

template<class T >

void clear | ( |  | ) |

Definition at line 104 of file piola.h.

## Member Data Documentation

## d

template<class T >

size_type d

Definition at line 76 of file piola.h.

## map_d

template<class T >

size_type map_d

Definition at line 76 of file piola.h.

## sys_coord

template<class T >

coordinate_type sys_coord

Definition at line 77 of file piola.h.

## ignore_sys_coord

template<class T >

bool ignore_sys_coord

Definition at line 78 of file piola.h.

## F

template<class T >

point_basic<T> F

Definition at line 79 of file piola.h.

## DF

template<class T >

tensor_basic<T> DF

Definition at line 80 of file piola.h.

## invDF

template<class T >

tensor_basic<T> invDF

Definition at line 80 of file piola.h.

## P

template<class T >

tensor_basic<T> P

Definition at line 80 of file piola.h.

## detDF

template<class T >

T detDF

Definition at line 81 of file piola.h.

## has_nt_basis

template<class T >

bool has_nt_basis

Definition at line 82 of file piola.h.

## normal

template<class T >

point_basic<T> normal

Definition at line 83 of file piola.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-mDkPTY/rheolef-7.2/fem/lib/piola.h